Subject: 答复: HeaderDiff specification

From: 王皘 <[email-masked]>
Date: Tue, 26 Mar 2013 18:02:03 +0800

Hi, Hervé.

   I'm reading your draft "draft-ruellan-headerdiff-00". According to my
understanding and your code at
https://github.com/hruellan/compression-test/tree/HeaderDiff, there seems to
be some minor mistakes when you explain the Integer representation in
Section 4.1.1 of the specification.

   1. On [Page 8], in the section "The algorithm to represent an integer I",
step 1 of step 3, "Set I to (I - 2^N - 1) and Q to 1" should be "Set I to (I
- (2^N - 1)) and Q to 1" or "Set I to (I - 2^N + 1) and Q to 1".

   2. On [Page 9], in the section "4.1.1.2.  Example 2: Encoding 1337 using
a 5-bit prefix", "The value to represent on next bytes is I = 1337 - 2^5 =
1305" should be "The value to represent on next bytes is I = 1337 - (2^5 -
1) = 1306". And the following calculating should use 1306 instead of 1305.

---------------------------------------------------------------------
Wang Qian

> 
> All,
> 
> Here is the detailed specification for our header representation format
> HeaderDiff.
> 
> We have also published an implementation, which can currently be found at:
> https://github.com/hruellan/compression-test/tree/HeaderDiff
> 
> (I've sent a pull request to have it included in
> https://github.com/http2/compression-test).
> 
> Comments are welcome,
> 
> Hervé.

---

From: RUELLAN Herve <[email-masked]>
Date: Tue, 26 Mar 2013 14:38:09 +0000

Hi Wang,

Good catches! Thanks for them.

Hervé.

> -----Original Message-----
> From: 王皘 [mailto:[email-masked]]
> Sent: mardi 26 mars 2013 11:02
> To: RUELLAN Herve
> Cc: [email-masked]
> Subject: 答复: HeaderDiff specification
> 
> Hi, Hervé.
> 
> understanding and your code at https://github.com/hruellan/compression-
> test/tree/HeaderDiff, there seems to be some minor mistakes when you
> explain the Integer representation in Section 4.1.1 of the specification.
> 
>    1. On [Page 8], in the section "The algorithm to represent an integer I", step
> 1 of step 3, "Set I to (I - 2^N - 1) and Q to 1" should be "Set I to (I
>    2. On [Page 9], in the section "4.1.1.2.  Example 2: Encoding 1337 using a 5-
> bit prefix", "The value to represent on next bytes is I = 1337 - 2^5 = 1305"
> should be "The value to represent on next bytes is I = 1337 - (2^5 -
> > Here is the detailed specification for our header representation
> > format HeaderDiff.
> >